onEvent("recipes", (event) => {
  // Change recipes here
  event.shapeless("flint", ["3x gravel"]);

  event.shaped({
    pattern: ["W W", "WWW", "WWW"],
    key: {
      W: "minecraft:brown_wool",
    },
    result: "mineminenomi:fluffy_cape",
  });
  //Luffy
  event.shaped({
    pattern: ["WWW", "W W", "   "],
    key: {
      W: "minecraft:wheat",
    },
    result: "mineminenomi:straw_hat",
  });
  event.shaped({
    pattern: ["W W", "WNW", "WNW"],
    key: {
      W: "minecraft:red_wool",
      N: "minecraft:gold_nugget",
    },
    result: "mineminenomi:luffys_shirt",
  });
  event.shaped({
    pattern: ["BBB", "B B", "W W"],
    key: {
      W: "minecraft:white_wool",
      B: "minecraft:light_blue_wool",
    },
    result: "mineminenomi:luffys_pants",
  });
  event.shaped({
    pattern: ["S S", "P P", "   "],
    key: {
      S: "minecraft:string",
      P: "#minecraft:wooden_slabs",
    },
    result: "mineminenomi:luffys_sandals",
  });
  //Buster Call
  event.shapeless("mineminenomi:den_den_mushi", ["minecraft:nautilus_shell"]);
  event.shaped({
    pattern: ["IBI", "BEB", "IBI"],
    key: {
      I: "minecraft:gold_block",
      B: "minecraft:gold_ingot",
      E: "mineminenomi:den_den_mushi",
    },
    result: "mineminenomi:golden_den_den_mushi",
  });

  //Devil Fruit item
  event.shapeless("mineminenomi:color_palette", [
    "red_dye",
    "orange_dye",
    "white_dye",
    "green_dye",
    "light_blue_dye",
    "blue_dye",
    "#minecraft:wooden_slabs",
  ]);
  event.shaped({
    pattern: ["I  ", "IBI", " I "],
    key: {
      I: "minecraft:iron_ingot",
      B: "minecraft:water_bucket",
    },
    result: "mineminenomi:watering_can",
  });

  //Smoking
  event.shapeless("2x mineminenomi:cigar", [
    "paper",
    "#minecraft:small_flowers",
  ]);
  event.shapeless("5x mineminenomi:cigarette", ["2x paper"]);
  event.shapeless("mineminenomi:three_cigars", ["3x mineminenomi:cigar"]);
  event.shaped({
    pattern: ["F ", "SS"],
    key: {
      F: "#minecraft:small_flowers",
      S: "#minecraft:wooden_slabs",
    },
    result: "mineminenomi:smoking_pipe",
  });
  //Sake Bottle
  event.shaped({
    pattern: [" S ", "SDS", " S "],
    key: {
      D: "minecraft:diamond",
      S: "mineminenomi:sake_cup",
    },
    result: "mineminenomi:sake_bottle",
  });

  //Caracter's Hat
  event.shaped({
    pattern: ["SIS"],
    key: {
      S: "minecraft:red_stained_glass_pane",
      I: "minecraft:iron_ingot",
    },
    result: "mineminenomi:doflamingos_glasses",
  });
  event.shaped({
    pattern: [" W ", "GWG"],
    key: {
      W: "minecraft:black_wool",
      G: "#forge:glass_panes",
    },
    result: "mineminenomi:sabos_hat",
  });
  event.shaped({
    pattern: [" WF", "WWW"],
    key: {
      W: "minecraft:black_wool",
      F: "#forge:feathers",
    },
    result: "mineminenomi:mihawks_hat",
  });
});
